<?php
session_name('portal_absa');session_start();if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?exit;}
require "../conexion/conectar.php";
//include("../actualizarBus.php");
require("../libs/funciones.php");

$conexion = new CONDB();
$conexion->conectar();

if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){
	$rfcEmisor=$_POST["busca_emisor"];
}else{
	$rfcEmisor=$_SESSION['RFC_RECEPTOR_PORTAL'];
}

//Extraigo Configuracion General de notificaciones
$qConfig = "select notificar_dias,notificar_despuesde,notificar_repetirdias,notificar_correos,notificar_asunto,notificar_correos_cc,notificar_fecha_inicio,tolerancia_NPvsComplemento,tolerancia_NPvsFactura,tolerancia_FacturaPagada,tolerancia_CompensacionEgreso,tolerancia_tipoCambio from configpagina where rfc_receptor='".$rfcEmisor."' limit 1";
if(!$rConfig = mysqli_query($conexion->CONEXION,$qConfig)){
	setBitacora($conexion, "AUTOMATICO", $rfcEmisor , "NOTIFICACION AUTOMATICA COMPLEMENTOS FALTANTES", "Error en consulta de configuracion general.", $qConfig);exit;
}
if(mysqli_num_rows($rConfig) <= 0){
	setBitacora($conexion, "AUTOMATICO", $rfcEmisor , "NOTIFICACION AUTOMATICA COMPLEMENTOS FALTANTES", "No se encontro la configuracion del receptor.", $qConfig);exit;
}

$tConfig = mysqli_fetch_assoc($rConfig);

$notificar_fecha_inicio = (float) $tConfig["notificar_fecha_inicio"];
$tConfig["tolerancia_NPvsComplemento"] = (float) $tConfig["tolerancia_NPvsComplemento"];
$tConfig["tolerancia_NPvsFactura"] = (float) $tConfig["tolerancia_NPvsFactura"];
$tConfig["tolerancia_FacturaPagada"] = (float) $tConfig["tolerancia_FacturaPagada"];
$tConfig["tolerancia_CompensacionEgreso"] = (float) $tConfig["tolerancia_CompensacionEgreso"];
$tConfig["tolerancia_tipoCambio"] = (float) $tConfig["tolerancia_tipoCambio"];

$tConfig["tolerancia_NPvsComplemento"] = (trim($tConfig["tolerancia_NPvsComplemento"]) == "")? 0 : $tConfig["tolerancia_NPvsComplemento"];
$tConfig["tolerancia_NPvsFactura"] = (trim($tConfig["tolerancia_NPvsFactura"]) == "")? 0 : $tConfig["tolerancia_NPvsFactura"];
$tConfig["tolerancia_FacturaPagada"] = (trim($tConfig["tolerancia_FacturaPagada"]) == "")? 0 : $tConfig["tolerancia_FacturaPagada"];
$tConfig["tolerancia_CompensacionEgreso"] = (trim($tConfig["tolerancia_CompensacionEgreso"]) == "")? 0 : $tConfig["tolerancia_CompensacionEgreso"];
$tConfig["tolerancia_tipoCambio"] = (trim($tConfig["tolerancia_tipoCambio"]) == "")? 0 : $tConfig["tolerancia_tipoCambio"];

if(trim($notificar_fecha_inicio) == "" || $notificar_fecha_inicio=="0000-00-00 00:00:00"){
	$notificar_fecha_inicio = "2018-01-01 00:00:00";
}

$notificar_fecha_inicio = str_replace(":","",str_replace(":","",str_replace(" ","",$notificar_fecha_inicio)));



// $doc=$_POST["busca_documento"];
$doc="";
$serieI=$_POST["busca_serie_doceI"];
// $serieF=$_POST["busca_serieF"];
$serieF="";
$folioI=$_POST["busca_folio_doceI"];
$folioF=$_POST["busca_folio_doceF"];
$fechaI=$_POST["busca_fecha_doceI"];
$fechaF=$_POST["busca_fecha_doceF"];
// $busca_nombre=$_POST["busca_nombre"];
$busca_nombre="";
// $rfc_receptor=$_REQUEST["busca_rfc"];
$rfc_receptor="";
// $uuid=$_REQUEST["uuid"];
$uuid="";
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		if($fechaF != ""){
			$fechaF.=" 23:59:59";
		}
		
		
		$complementoMostrarWEB="and mostrarWeb='SI'";
		
		if($_SESSION['esAdmin'] == "SI"){
			if($_POST['checkMostrarWeb'] == "on"){
				$complementoMostrarWEB="";
			}else{
				$complementoMostrarWEB="and mostrarWeb='SI'";
			}
			$complementoStatus="and status='1'";
			if($_POST['checkMostrarCancelados'] == "on"){
				$complementoStatus="";
			}else{
				$complementoStatus="and status='1'";
			}
			$width="90";
		}else{
			$width="65";
			$complementoMostrarWEB="and mostrarWeb='SI'";
			$complementoStatus="and status='1'";
		}
                $complementoStatus="";
	$q=getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre,$complementoMostrarWEB,$complementoStatus,$rfc_receptor,$uuid);
	
	$filtroA="";
	$filtroB="";
	$filtroC="";
	
	if($doc != "" && $rfcEmisor != ""){
		$query="select filtroA,filtroB,filtroC from emisor e,tdoctos t where e.rfc='$rfcEmisor'
		and e.idEmisor=t.idEmisor and t.tipodocto='$doc' limit 1";
		
                $rquery=mysqli_query($conexion->CONEXION,$query);
                
		if(mysqli_num_rows($rquery) > 0){
			$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
			$filtroA=strtoupper($temp['filtroA']);
			$filtroB=strtoupper($temp['filtroB']);
			$filtroC=strtoupper($temp['filtroC']);
		}
	}
			if($filtroA=="")
				$filtroA="FILTRO A";
			if($filtroB=="")
				$filtroB="FILTRO B";
			if($filtroC=="")
				$filtroC="FILTRO C";

//$cont=1;
$arrCampos=array();
$arrConfigCampos=array();
for($i=1; $i <= 30;$i++){
	$valorIni = getINI("CAMPOD_".$i."=","../config.ini");
	if($valorIni){
		//echo $valorIni;
		$arrConf = explode("||",$valorIni);
		//echo $arrConf[1];
		array_push($arrCampos,$arrConf[0]);
		array_push($arrConfigCampos,$arrConf[1]);
		
		//$cont++;
	}else{
		break;
	}
}
	
$_SESSION['grid_select']='grid_doce';
//echo "<br/>".$q;exit;
?>

<script>
var query="<?=$q?>";
$j_6(document).ready(function(){
	$j_6().gridJQGrid({
	php: 'grids/doceGrid.php',
	//headerNames: '<img src="grids/Imagenes/descargas.png"/>,RFC Emisor,Tipo Documento,Serie,Folio,Status,Fecha,RFC Receptor,Nombre Receptor,UUID,IVA,Total,<?=$filtroA?>,<?=$filtroB?>,<?=$filtroC?>',
	headerNames: '<img src="grids/Imagenes/descargas.png"/><?php for($i=0; $i < count($arrCampos); $i++){echo ",".$arrCampos[$i];}?>',
	sortname: 'rfcemisor,tipodocto,serie,folio',
	Frozen: true,
	idGrid: 'grid_doce',
	idPagina: 'pagina_doce',
	optionsCol: 'xml|width: <?=$width?>, search: false, sortable:false, frozen: true;'+
				<?php
					for($i=0; $i < count($arrConfigCampos); $i++){
						echo $arrConfigCampos[$i];
				?>
				<?php
					}
				?>
	hiddenCol: 'pdf,archXML,archPDF,usarRutaDistribuida,mostrarweb',
	ignoreColNamesExcel: '0,5',
	sheetName: 'Documentos encontrados',
	<?//if(trim($_POST["status"]) == ""){?>
	urlDatos: 'grids/doceValidaDatosGrid.php?rfcEmisor=<?=$rfcEmisor?>',
	<?/*}else{?>
	urlDatos: 'grids/doceDatosGrid.php',	
	<?}*/?>
	div: 'doceGrid',
	width: $j_6('#doceGrid').width(),
    height: 'auto',
	rowNum: 20,
	query: query,
	optionsForm: 	'',
	captionForm: '',
	tabla: '',
	reloadGridAfterSave: '',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 500,
	heightForm: 120,
	fileForm: 'grids/generaForm.php',
	edit: false,
	add: false,
	del: false
	});
});
</script>
<?
function getQuery2(){
	 $getQuery2="select max(serie) as serie_maxima from doce";
	return $getQuery2;
}
function getQuery3(){
	 $getQuery3="select max(folio) as folio_maximo from doce";
	return $getQuery3;
}
function getQuery4(){
	 $getQuery4="select max(fecha) as fecha_maxima from doce";
	return $getQuery4;
}
function getQuery5($serieI,$serieF,$doc,$rfcEmisor,$folioI,$folioF,$fechaI,$fechaF,$busca_nombre,$complementoMostrarWEB,$complementoStatus,$rfc_receptor,$uuid){
	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
		$complementoQuery="";
		$permisosComplemento=$_SESSION['permisos_c_prov_absa'];
	}else{
		$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}
	$docQuery="";
	if($doc != ""){
		$docQuery=" and tipodocto = '$doc'";
	}
	
	$rfcQuery="";
	if($rfcEmisor != ""){
		$rfcQuery=" and rfcemisor like '%$rfcEmisor%'";
	}
	
	$comSerie="";
	if(trim($serieI) == ""){
		if($_POST["sinserie_check"] == "1"){
			$comSerie=" and serie=''";
		}
	}else{
		$comSerie="and serie='$serieI'";
	}
	
	$comFolio="";
	if(trim($folioI) != ""){
		$comFolio=" and folio>='$folioI'";
	}
	if(trim($folioF) != ""){
		$comFolio.=" and folio<='$folioF'";
	}
	$comFecha="";
	if(trim($fechaI) != ""){
		$comFecha=" and fecha>='$fechaI'";
	}
	if(trim($fechaF) != ""){
		$comFecha.=" and fecha<='$fechaF'";
	}
	$buscaNombreRec = "";
	if(trim($busca_nombre) != ""){
		$buscaNombreRec.=" and d.nombrerec like '%$busca_nombre%'";
	}
	
	
	$comRFCRec="";
	
	if(trim($rfc_receptor) != ""){
		$comRFCRec=" and rfcreceptor='".trim($rfc_receptor)."'";
	}
	
	$comUUID="";
	
	if(trim($uuid) != ""){
		$comUUID=" and uuid='".trim($uuid)."'";
	}
	
	$filtrosQuery="";
	if(trim($_POST["filtroA"]) != ""){
		$filtrosQuery.=" and filtroA='".trim($_POST["filtroA"])."'";
	}
	
	if(trim($_POST["filtroB"]) != ""){
		$filtrosQuery.=" and filtroB='".trim($_POST["filtroB"])."'";
	}
	
	if(trim($_POST["filtroC"]) != ""){
		$filtrosQuery.=" and filtroC='".trim($_POST["filtroC"])."'";
	}
	
	$uuids=array();
	if(trim($_POST["status"]) != ""){
		// $uuids = getUUIDS();
		//print_r($uuids); exit;
	}
	
	
	$in = "";
	if(count($uuids) > 0){
		for($i=0; $i < count($uuids); $i++){
			if($in != ""){
				$in.=",'".$uuids[$i]."'";
			}else{
				$in="'".$uuids[$i]."'";
			}
		}
	}
	$FiltroIN="";
	$campoStatus="";
	$filtroHaving="";
	if($_REQUEST["status"] == "SINRELACIONES"){
		$filtroHaving=" HAVING statusNP='5'";
		// $campoStatus=5;
	}else if($_REQUEST["status"] == "NOCOMPLETOS"){
		$filtroHaving=" HAVING statusNP='0'";
		// $campoStatus=0;
	}else if($_REQUEST["status"] == "INCORRECTOS"){
		$filtroHaving=" HAVING statusNP='3'";
		// $campoStatus=3;
	}else if($_REQUEST["status"] == "COMPLETOS"){
		$filtroHaving=" HAVING statusNP='4'";
		// $campoStatus=4;
	}else if($_REQUEST["status"] == "NOAPLICACOM"){
		$filtroHaving=" HAVING statusNP='8'";
		// $campoStatus=8;
	}else if($_REQUEST["status"] == "CONCOMNOREQ"){
		$filtroHaving=" HAVING statusNP='11'";
		// $campoStatus=11;
	}
    if(trim($_POST["status"]) != "" && trim($in) == ""){
        $in="''";
    }
    
	if($in != ""){
		$FiltroIN=" and adicionalA in ($in)";
	}
    if(trim($_SESSION['taxid']) != ""){
        $cTaxID = "and taxid='".$_SESSION['taxid']."'";
    }
        
	 /*$getQuery5="select distinct rutaXML_P as xml,'$campoStatus' as statusNP ,rfcemisor,tipodocto,serie,folio,status,fecha,FormaDePago,nombrerec,iva,total,d.filtroA,d.filtroB,d.filtroC,archXML,archPDF,usarRutaDistribuida,mostrarweb,rutaPDF_P as pdf,adicionalA as uuid,rfcreceptor,alta_manual from (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) as c, doce d where tipodocto='NOTIFICACION DE PAGO' and c.rfc = d.rfcemisor and d.tipodocto=c.tipodoc $buscaNombreRec $rfcQuery $docQuery $complementoQuery $comSerie $comFolio $comFecha $complementoMostrarWEB $complementoStatus $cTaxID $permisosComplemento $comRFCRec $comUUID $filtrosQuery $FiltroIN";*/
	 
	 $getQuery5="select distinct rutaXML_P as xml,rcds.status as statusNP, ,rfcemisor,tipodocto,serie,folio,d.status,fecha,FormaDePago,nombrerec,iva,total,d.filtroA,d.filtroB,d.filtroC,archXML,archPDF,usarRutaDistribuida,mostrarweb,rutaPDF_P as pdf,adicionalA as uuid,rfcreceptor,alta_manual from (select rfc,tipodocto as tipodoc,rutaXML_P,rutaPDF_P,usarRutaDistribuida from emisor e,tdoctos t where e.idEmisor=t.idEmisor) as c inner join doce d ON c.rfc=d.rfcemisor and d.tipodocto=c.tipodoc inner join recibecfd_doce_status rcds ON d.adicionalA = rcds.uuid
	 where tipodocto='NOTIFICACION DE PAGO' $buscaNombreRec $rfcQuery $docQuery $complementoQuery $comSerie $comFolio $comFecha $complementoMostrarWEB $complementoStatus $cTaxID $permisosComplemento $comRFCRec $comUUID $filtrosQuery $filtroHaving";
	 
	 // echo "<br/><br/><br/>";
	 // echo $getQuery5;exit;
	
	return $getQuery5;
}

function getUUIDS(){
	global $conexion,$tConfig,$notificar_fecha_inicio;
	
	$completaQueryPagos = "";
	
	if($_REQUEST["sinserie_check_doce"] == "1"){
	if($_REQUEST["busca_serie_doceI"] != ""){$completaQueryPagos = " and serie='".$_REQUEST["busca_serie_doceI"]."'";}
	}
	if($_REQUEST["busca_folio_doceI"] != ""){$completaQueryPagos .= " and folio>='".$_REQUEST["busca_folio_doceI"]."'";}
	if($_REQUEST["busca_folio_doceF"] != ""){$completaQueryPagos .= " and folio<='".$_REQUEST["busca_folio_doceF"]."'";}
	if($_REQUEST["busca_fecha_doceI"] != ""){$completaQueryPagos .= " and fecha >= '".$_REQUEST["busca_fecha_doceI"]."'";}
	if($_REQUEST["busca_fecha_doceF"] != ""){$completaQueryPagos .= " and fecha <= '".$_REQUEST["busca_fecha_doceF"]."'";}
	if($_REQUEST["busca_nombre_doce"] != ""){$completaQueryPagos .= " and nombrerec like '%".$_REQUEST["busca_nombre_doce"]."%'";}
	if($_REQUEST["busca_rfc_doce"] != ""){$completaQueryPagos .= " and rfcreceptor = '".$_REQUEST["busca_rfc_doce"]."'";}

	if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
	$complementoQuery="";
	$permisosComplemento=$_SESSION['permisos_c_prov_absa'];
	}else{
	$complementoQuery="and rfcreceptor='".$_SESSION['rfc_cliente_p_prov_absa']."'";
	}

		$qPagoRecibePago = "select pdr.doce_uuid as doce_uuidEnPagoRef, pdr.uuidcfdirelacionado,pdr.monto as PDRmontoPago,pdr.numparcialidad as PDRnumparcialidad,pdr.tipocambio as PDRtipocambio,pdr.moneda as PDRmoneda, rpdr.tipocambiodr as RPDRtipocambio, 
	rpdr.monedadr as RPDRmoneda,rpdr.imppagado as RPDRimpagado,rpdr.NumParcialidad as RPDRnumparcialidad, r1.total as totalCFDI,r1.MetodoDePago as MetodoDePagoDoc,pdr.MetodoDePago as PDRMetodoDePago,rpdr.MetodoDePago as RPDRMetodoDePago,r1.nombreemi,r1.serie,r1.folio, rdp.MonedaP as RDPmoneda,rdp.Monto as RDPmonto,rdp.recibedoce_UUID, 
	rdp.TipoCambioP as RDPtipocambio,rdp.formadepago,nPago.fecha,nPago.adicionalA as uuid,nPago.con_complemento_correcto,nPago.total as totalNP,nPago.formadepago as formadepagoNP,rcomplemento.status as statusComplemento,
	rpdr.doce_uuid as doce_uuidEnComplemento,rdt.totalPagoDocumentosRef, rdt.totalIngresoCompensado, rdt.ImpPagadoComplemento, rdt.FechaNP, rdt.numReferenciasPagoDocumentosRef,
	(select count(*) from pago_documentos_ref where uuidcfdirelacionado=pdr.uuidcfdirelacionado and numparcialidad=pdr.numparcialidad) as numParcialidadDuplicada
	from doce nPago left join pago_documentos_ref pdr 
	on nPago.adicionalA = pdr.doce_uuid
	
	left join recibedoce r1
	ON pdr.uuidcfdirelacionado = r1.uuid
	
	left join recibedoce_pagos_docto_relacionado rpdr 
	ON pdr.doce_uuid = rpdr.doce_uuid and pdr.uuidcfdirelacionado = rpdr.uuidcfdirelacionado and 
	(pdr.numparcialidad = rpdr.numparcialidad or pdr.numparcialidad <> rpdr.numparcialidad) 
	left join recibedoce_pagos rdp 
	ON rpdr.recibedoce_pagos_id = rdp.recibedoce_pagos_id 
	left join recibedoce r 
	ON rpdr.uuidcfdirelacionado = r.uuid
	left join recibedoce_totales rdt
	ON rdt.uuid=r.uuid
	left join recibedoce rcomplemento on rdp.recibedoce_UUID = rcomplemento.uuid
	
	where nPago.tipodocto='NOTIFICACION DE PAGO' $completaQueryPagos $complementoQuery $permisosComplemento";
	// echo $qPagoRecibePago."<br/><br/>";exit;
	$uuids = array();
	if($rPagoRecibePago = mysqli_query($conexion->CONEXION,$qPagoRecibePago)){
		if(mysqli_num_rows($rPagoRecibePago) > 0){
			
			$arrUUID = array();
			$arrMonto = array();
			
			while($tPagoRecibePago = mysqli_fetch_array($rPagoRecibePago,MYSQLI_ASSOC)){
				
				if($tPagoRecibePago["MetodoDePagoDoc"] == "PPD"){
					// echo $tPagoRecibePago["MetodoDePagoDoc"];
					if(in_array($tPagoRecibePago["uuid"],$arrUUID)){
						$indice = array_search($tPagoRecibePago["uuid"], $arrUUID);
						$arrMonto[$indice] = $arrMonto[$indice] + $tPagoRecibePago["PDRmontoPago"];
					}else{
						array_push($arrUUID,$tPagoRecibePago["uuid"]);
						array_push($arrMonto,$tPagoRecibePago["PDRmontoPago"]);
					}
				}
			}
				// print_r($arrUUID);
				// print_r($arrMonto);exit;
			mysqli_data_seek($rPagoRecibePago,0);
			while($tPagoRecibePago = mysqli_fetch_array($rPagoRecibePago,MYSQLI_ASSOC)){
				
				/*//Si es PUE lo ignoro
				if($tPagoRecibePago["MetodoDePagoDoc"] == "PUE"){
					continue;
				}*/
				
				$tPagoRecibePago["fecha"] = str_replace(":","",str_replace(":","",str_replace(" ","",$tPagoRecibePago["fecha"])));
	
				if($tPagoRecibePago["fecha"] < $notificar_fecha_inicio){
					//Si todo esta bien la marco como completa
					if($_REQUEST["status"] == "COMPLETOS"){
						if(!in_array($tPagoRecibePago["uuid"],$uuids)){
							array_push($uuids,$tPagoRecibePago["uuid"]);
						}
					}
				}
				
				$totalPPD = 0.00;
				
				/*if($tPagoRecibePago["MetodoDePagoDoc"] == "PPD"){
					if(in_array($tPagoRecibePago["uuid"],$arrUUID)){
						$indice = array_search($tPagoRecibePago["uuid"], $arrUUID);
						$totalPPD = $arrMonto[$indice];
					}
				}*/
				
				$banIncorrecto=false;
				$banFaltante=false;
				
				
				//Valido que si no tiene referencia a un cfdi que lo marque
				if($tPagoRecibePago["doce_uuidEnPagoRef"] == ""){
					
					if($_REQUEST["status"] == "SINRELACIONES"){
						
						if($tPagoRecibePago["con_complemento_correcto"] == "0" || trim($tPagoRecibePago["con_complemento_correcto"]) == ""){
							
							if(!in_array($tPagoRecibePago["uuid"],$uuids)){
								// echo $tPagoRecibePago["uuid"]."<br/>";
								array_push($uuids,$tPagoRecibePago["uuid"]);
								
							}
						}
					}
					continue;
				}
				
				//Si el totalPPD es 0 y el status es NOAPLICACOM, lo agrego al arreglo y continuo
				if($totalPPD == 0){
					if($_REQUEST["status"] == "NOAPLICACOM"){
						if(!in_array($tPagoRecibePago["uuid"],$uuids)){
							array_push($uuids,$tPagoRecibePago["uuid"]);
						}
						continue;
					}
					if($tPagoRecibePago["statusComplemento"] != "C" && $tPagoRecibePago["statusComplemento"] != "R" && trim($tPagoRecibePago["RPDRimpagado"]) != ""){
						if($_REQUEST["status"] == "CONCOMNOREQ"){
							if(!in_array($tPagoRecibePago["uuid"],$uuids)){
								array_push($uuids,$tPagoRecibePago["uuid"]);
							}
							continue;
						}
					}
					
				}else{
							//Valido que si no tiene referencia a un complemento lo marque sin complemento
							if($tPagoRecibePago["doce_uuidEnComplemento"] == ""){
								if($_REQUEST["status"] == "NOCOMPLETOS"){
									if($tPagoRecibePago["con_complemento_correcto"] == "0"  || trim($tPagoRecibePago["con_complemento_correcto"]) == ""){
										
										if(!in_array($tPagoRecibePago["uuid"],$uuids)){
											// echo $tPagoRecibePago["uuid"]."<br/>";
											array_push($uuids,$tPagoRecibePago["uuid"]);
										}
									}
								}
								continue;
							}
							//Valido que si esta marcado como complemento correcto lo marque con complemento
							if($tPagoRecibePago["con_complemento_correcto"] == "1"){
								if($_REQUEST["status"] == "COMPLETOS"){
									if(!in_array($tPagoRecibePago["uuid"],$uuids)){
										array_push($uuids,$tPagoRecibePago["uuid"]);
									}
								}
								continue;
							}
							
							//Valido diferencias entre NOTIFICACION DE PAGO y COMPLEMENTO
							if($tPagoRecibePago["PDRmontoPago"] != $tPagoRecibePago["RPDRimpagado"]){
								$diferencia = (float) $tPagoRecibePago["PDRmontoPago"] - (float) $tPagoRecibePago["RPDRimpagado"];
								if($diferencia < 0){
									$diferencia = $diferencia * -1;
								}
								if((float) $diferencia > (float) $tConfig["tolerancia_FacturaPagada"]){
									$banIncorrecto = true;
								}
							}
							if($tPagoRecibePago["PDRtipocambio"] != $tPagoRecibePago["RPDRtipocambio"]){
								$diferencia = (float) $tPagoRecibePago["PDRtipocambio"] - (float) $tPagoRecibePago["RPDRtipocambio"];
								if($diferencia < 0){
									$diferencia = $diferencia * -1;
								}
								if((float) $diferencia > (float) $tConfig["tolerancia_tipoCambio"]){
									$banIncorrecto = true;
								}
							}
							if($tPagoRecibePago["PDRmoneda"] != $tPagoRecibePago["RPDRmoneda"]){
								$banIncorrecto=true;
							}
							if($tPagoRecibePago["PDRnumparcialidad"] != $tPagoRecibePago["RPDRnumparcialidad"]){
								$banIncorrecto=true;
							}
							if(trim($tPagoRecibePago["formadepago"]) != trim($tPagoRecibePago["formadepagoNP"])){
								$banIncorrecto=true;
							}
							if(trim($tPagoRecibePago["PDRMetodoDePago"]) != trim($tPagoRecibePago["RPDRMetodoDePago"])){
								$banIncorrecto=true;
							}
							if(trim($tPago["RPDRMetodoDePago"]) == "PUE"){
								$totalCompensadoMasPagadoCom = $tPagoRecibePago["RPDRimpagado"]+$tPagoRecibePago["totalIngresoCompensado"];
								if($totalCompensadoMasPagadoCom != $tPagoRecibePago["totalCFDI"]){
									if($totalCompensadoMasPagadoCom > $tPagoRecibePago["totalCFDI"]){
										$diferencia = (float) $totalCompensadoMasPagadoCom - (float) $tPagoRecibePago["totalCFDI"];
									}
									if($totalCompensadoMasPagadoCom < $tPagoRecibePago["totalCFDI"]){
										$diferencia = (float) $tPagoRecibePago["totalCFDI"] - (float) $totalCompensadoMasPagadoCom;
									}
									if($diferencia < 0){
										$diferencia = $diferencia * -1;
									}
									if((float) $diferencia > (float) $tConfig["tolerancia_FacturaPagada"]){
										$banIncorrecto=true;
									}
								}
							}
							
							//Valido el monto de la NP vs Complemento
							// if($tPagoRecibePago["totalNP"] != $tPagoRecibePago["RDPmonto"]){
								// $banIncorrecto=true;
							// }
							if($totalPPD != $tPagoRecibePago["RDPmonto"]){
								$diferencia = (float) $totalPPD - (float) $tPagoRecibePago["RDPmonto"];
								if($diferencia < 0){
									$diferencia = $diferencia * -1;
								}
								if((float) $diferencia > (float) $tConfig["tolerancia_NPvsComplemento"]){
									$banIncorrecto = true;
								}
							}
							//Valido parcialidad duplicada
							if($tPagoRecibePago["numParcialidadDuplicada"] > 1){
									$banIncorrecto=true;
							}
							//Valido si el status del complemento esta cancelado o rechazado o si el importe pagado del complemento es vacio o nulo
							
							if($tPagoRecibePago["statusComplemento"] == "C" || $tPagoRecibePago["statusComplemento"] == "R" || $tPagoRecibePago["RPDRimpagado"] == ""){
								//echo $tPagoRecibePago["statusComplemento"];exit;
								$banFaltante=true;
								if($_REQUEST["status"] == "NOCOMPLETOS"){
									if(!in_array($tPagoRecibePago["uuid"],$uuids)){
										array_push($uuids,$tPagoRecibePago["uuid"]);
									}
									break;
								}else{
									break;
								}
							}
							
							//Si hubo por lo menos una diferencia la marco como incorrecta la NP
							if($_REQUEST["status"] == "INCORRECTOS" && $banIncorrecto == true){
								if($banFaltante == false){
									if(!in_array($tPagoRecibePago["uuid"],$uuids)){
										array_push($uuids,$tPagoRecibePago["uuid"]);
									}
								}
							}
							//Si todo esta bien la marco como completa
							if($_REQUEST["status"] == "COMPLETOS" && $banIncorrecto == false){
								if(!in_array($tPagoRecibePago["uuid"],$uuids)){
									array_push($uuids,$tPagoRecibePago["uuid"]);
								}
							}
				}//else
			}//while
		}//Num Rows
	}//Mysql Query
	// exit;print_r($uuids);exit;
	return $uuids;
}//Termina funcion getUUIDS
?>